<?php

# get correct id for plugin
$thisfile=basename(__FILE__, ".php");
 
# register plugin
register_plugin(
	$thisfile, //Plugin id
	'Massive Admin Theme', 	//Plugin name
	'1.5', 		//Plugin version
	'Mateusz Skrzypczak',  //Plugin author
	'https://multicolor.stargard.pl', //author website
	'Admin theme with new function', //Plugin description
	'settings', //page type - on which admin tab to display
	'massiveOption'  //main function (administration)
);



add_action('pages-sidebar','massiveUploader');


function massiveUploader(){


	echo' <li style="margin: 0 0 3px 0;" class="masive-uploader">
	<h3>Upload file </h3>
<form action="#" class="dropzone"></form>
	</li>';




$ds   = DIRECTORY_SEPARATOR;

$storeFolder = '../data/uploads/uploads-folder/';   



 
if (!empty($_FILES)) {

	if (!file_exists('../data/uploads/uploads-folder/')) {
		mkdir('../data/uploads/uploads-folder/', 0777, true);
	};
	 
	

    $tempFile = $_FILES['file']['tmp_name'];             
      
    $targetPath = dirname( __FILE__ ) . $ds. $storeFolder . $ds;  
     
    $targetFile =  $targetPath. $_FILES['file']['name'];  
 
    move_uploaded_file($tempFile,$targetFile); 
};


		

}







add_action('nav-tab','createSideMenu',array($thisfile,'Maintenance Mode settings'));

add_action('pages-sidebar','compomassive');


function compomassive(){
	echo'<li><a href="components.php" class="compmassive">Edit Components </a> </li>';
	};
	


function massiveOption(){
	echo'
<style>
.massiveoption form{
	border:solid 1px #ddd;
	width:100%;
	padding:10px;
}

.massiveoption select{
	margin:20px 0;
	padding:10px;
	width:100%;
}

.massiveoption label{
	font-size:1.2rem;
	margin-bottom:5px;
}

.massiveoption textarea{
	height:200px;
	width:100%;
}

.massiveoption .save{
background:#000;
color:#fff;
margin-top:15px;
padding:10px 25px;
border-radius:20px;
border:none;
}


</style>
<div class="massiveoption">
<form action="#" method="post">
<label for="maintence">Maintenance on?</label>
<select name="maintence" id="">
<option value="no">no</option>
<option value="yes">yes</option>
</select>
<label for="content">Content Maintenance mode</label>
<textarea name="content" >';echo file_get_contents('../data/other/massiveadmin/masivemaintence.txt');echo '</textarea>
<input type="submit" name="submit" value="save option" class="save">
</form>
</div>
';


if (isset($_POST['submit'])){
// Set up the data
$mdata = $_POST["content"];
$mdata2= $_POST["maintence"];

 
// Set up the folder name and its permissions
// Note the constant GSDATAOTHERPATH, which points to /path/to/getsimple/data/other/
$folder        = GSDATAOTHERPATH . '/massiveadmin/';
$filename      = $folder . 'masivemaintence.txt';
$filename2      = $folder . 'masivemaintenceOnOff.txt';
$chmod_mode    = 0755;
$folder_exists = file_exists($folder) || mkdir($folder, $chmod_mode);
 
// Save the file (assuming that the folder indeed exists)
if ($folder_exists) {
  file_put_contents($filename, $mdata);
  file_put_contents($filename2, $mdata2);
  
};


echo"<script>document.querySelector('.massiveoption').innerHTML = 'ok! Go to another page:)' </script>";


};


}




# activate filter 


 

register_style('masivestyle', $SITEURL.'plugins/massiveAdmin/css/style.css', '1.3', 'screen');
queue_style('masivestyle',GSBACK); 


register_script('masivescript', $SITEURL.'plugins/massiveAdmin/js/script.js', '1.1', TRUE);
queue_script('masivescript',GSBACK); 


register_style('masivestyledropzone', $SITEURL.'plugins/massiveAdmin/css/dropzone.min.css', '1.1', 'screen');
queue_style('masivestyledropzone',GSBACK); 


register_script('masivescriptdropzone', $SITEURL.'plugins/massiveAdmin/js/dropzone.min.js', '1.1',FALSE);
queue_script('masivescriptdropzone',GSBACK); 


add_action( 'header', 'masiveicon', array() );
function masiveicon() {
	echo '<link rel="stylesheet" href="https://unicons.iconscout.com/release/v2.1.8/css/unicons.css">';
	echo ' <meta name="viewport" content="width=device-width, initial-scale=1.0">';
};



add_action('footer','footerCodeMirror');

function footerCodeMirror(){

	echo'<script>if(document.querySelector(".CodeMirror")!==null){document.querySelector(".CodeMirror textarea").filter="invert(100%)"}</script>';

};




add_action('theme-footer','massivemaintence');


function massivemaintence(){
	
	

		$maintence = file_get_contents('./data/other/massiveadmin/masivemaintenceOnOff.txt');
		if($maintence == 'yes'){


	echo'<script>console.log("yes")</script>';
	
	echo'<style>
	.maintenceOn{
		position:fixed;
		top:0;
		left:0;
		width:100%;
		height:100vh;
		display:flex;
		align-items:center;
		justify-content:center;
		background:#fff;
	z-index:997;
	}
	.maintenceOn p{
		font-size:2rem;
		color:#111;
		text-align:center;
	}</style>
	';
	echo'<div class="maintenceOn"><p>';echo file_get_contents('./data/other/massiveadmin/masivemaintence.txt');echo '</p></div>';


}else{


};
};






if (isset($_COOKIE['GS_ADMIN_USERNAME'])) {
	$cookie_user_id = _id($_COOKIE['GS_ADMIN_USERNAME']);
	if (file_exists(GSUSERSPATH . $cookie_user_id.'.xml')) {
		$datau = getXML(GSUSERSPATH  . $cookie_user_id.'.xml');
		$USR = stripslashes($datau->USR);
		$HTMLEDITOR = $datau->HTMLEDITOR;
		$TIMEZONE = $datau->TIMEZONE;
		$LANG = $datau->LANG;


add_action('theme-header','massivefronter'); 


function massivefronter(){



	echo '
	<style>
	@import url("https://fonts.googleapis.com/css2?family=Lato:wght@300;400&display=swap");
	@import url("https://unicons.iconscout.com/release/v2.1.9/css/unicons.css");
	body{
	padding-top:38px;
	}


	.m-toper{
		font-family: "Lato", sans-serif;
		position:fixed;
		top:0;
		left:0;
		width:100%;
		height:38px;
		background:#111;
	z-index:999;
	}

	.m-toper ul{
		margin:0;
		padding:10px 0;
	}

	.massivepages,.massiveedit{
		padding:10px 0;
		display:flex;
		list-style-type:none;
	}

	.massivepages li a,.massiveedit li a{
		color:#fff;
		margin-left:15px;
		text-decoration:none;
		font-size:0.9rem;
		transition:all 250ms linear;
	}

	.massivepages li a:hover,.massiveedit li a:hover{
opacity:0.8;
	}

.m-toper-container{
	width:96%;
	margin:0 auto;
max-width:1240px;
display:flex;
justify-content:space-between;
}

@media(max-width:768px){

.massivepages{display:none}

.massiveedit{
	width:100%;
	margin:0 auto;
	justify-content:center;
}

.massiveedit li{
	margin-right:15px;
}
}

.maintenceOn{
	display:none !important;
}</style>';

echo'
<div class="m-toper">

<div class="m-toper-container">

<ul class="massiveedit">
<li><a href="'; get_site_url();echo 'admin/edit.php?id=';get_page_slug();echo'"><i class="uil uil-edit"></i>';i18n('EDITPAGE_TITLE');echo'</a></li>';
echo'<li><a href="'; get_site_url();echo 'admin/edit.php"><i class="uil uil-plus-circle"></i>';i18n('SIDE_CREATE_NEW');echo'</a></li>';
echo'</ul>';
echo'
<ul class="massivepages">
<li><a href="'; $GSADMINPATH; echo'/admin/pages.php"><i class="uil uil-desktop"></i>';i18n('TAB_PAGES');echo' </a></li>';
echo'<li><a href="'; $GSADMINPATH;echo'/admin/upload.php"><i class="uil uil-file"></i>';i18n('TAB_FILES');echo'</a></li>';
echo'<li><a href="';$GSADMINPATH;echo'/admin/theme.php"><i class="uil uil-paint-tool"></i>'; i18n('TAB_THEME');echo'</a></li>';
echo'<li><a href="';$GSADMINPATH;echo'/admin/backups.php"><i class="uil uil-save"></i>'; i18n('TAB_BACKUPS');echo'</a></li>';
echo'<li><a href="';$GSADMINPATH;echo'/admin/plugins.php"><i class="uil uil-plug"></i>'; i18n('PLUGINS_NAV');echo'</a></li>';
echo'<li> <a href="';$GSADMINPATH;echo'/admin/settings.php"><i class="uil uil-setting"></i></a>';
echo'<li><a href="';$GSADMINPATH;echo'/admin/load.php?id=massiveAdmin"><i class="uil uil-constructor"></i></a></li>';
echo'<li><a href="';$GSADMINPATH;echo'/admin/logout.php"><i class="uil uil-power"></i></a>';

echo'</ul>';


echo'
</div>
</div>';}} else {
	$USR = null;
}



;};



add_action('index-login','scriptHeader');

function scriptHeader(){
	echo'<link rel="stylesheet" href="https://unicons.iconscout.com/release/v2.1.9/css/unicons.css">';
	echo'<i class="uil uil-user-circle" style="font-size:5rem;margin-bottom:1rem;"></i>';
	echo' <meta name="viewport" content="width=device-width, initial-scale=1.0">';
}


?>